%define libname 	%mklibname de265_0
%define develname	%mklibname de265 -d


Name: libde265
Summary: de265 library
Version: 1.0.3
Release: %mkrel 1
Group: System/Libraries
License: GPL
URL: https://github.com/strukturag/libde265/releases
Source0: %{name}-%{version}.tar.xz


%description
libde265 is a new image file format employing HEVC (h.265) image coding
for the best compression ratios currently possible.
#-----------------------------------------------------------

%package -n %{libname}
Summary: The heif Library
Group: System/Libraries
Provides: %{name} = %{version}

%description -n %{libname}
libde265 is a new image file format employing HEVC (h.265) image coding
for the best compression ratios currently possible.
#-----------------------------------------------------------

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{libname} = %{version}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for %{name}

#-----------------------------------------------------------

%prep
%setup -q

sed -ri 's/(PIX_FMT_)/AV_\1/g' sherlock265/VideoDecoder.cc

%build
./autogen.sh
%configure2_5x --disable-static
%make

%install
rm -rf %buildroot
%make_install

find %{buildroot} -name "*.la" -delete

%files
%{_bindir}/acceleration_speed
%{_bindir}/bjoentegaard
%{_bindir}/block-rate-estim
%{_bindir}/dec265
%{_bindir}/enc265
%{_bindir}/gen-enc-table
%{_bindir}/hdrcopy
%{_bindir}/rd-curves
#%{_bindir}/sherlock265
%{_bindir}/tests
%{_bindir}/yuv-distortion


%files -n %{libname}
%{_libdir}/libde265.so.0
%{_libdir}/libde265.so.0.0.10
   

%files -n %{develname}
%{_includedir}
%{_libdir}/libde265.so
%{_libdir}/pkgconfig/libde265.pc

%changelog
* Sun Dec 23 2018 adrianomorselli <adrianomorselli> 1.0.3-1uplos2018
- imported for uplos
